JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AccessibilityNumericValueInterface Class Referenceabstract
juce_gui_basics » accessibility

A value interface that represents a non-ranged numeric value. More...

`#include <juce_AccessibilityValueInterface.h>`

Inheritance diagram for AccessibilityNumericValueInterface:

## Public Member Functions
bool | isReadOnly () const override=0
| Returns true if the value is read-only and cannot be modified by an accessibility client.
double | getCurrentValue () const override=0
| Returns the current value.
void | setValue (double newValue) override=0
| Sets the current value to a new value.
String | getCurrentValueAsString () const final
| Returns the current value as a String.
void | setValueAsString (const String &newValue) final
| Sets the current value to a new String value.
AccessibleValueRange | getRange () const final
| If this is a ranged value, this should return a valid AccessibleValueRange object representing the supported numerical range.
Public Member Functions inherited from AccessibilityValueInterface
virtual | ~AccessibilityValueInterface ()=default
| Destructor.

## Detailed Description

A value interface that represents a non-ranged numeric value.

## Member Function Documentation

## ◆ isReadOnly()

bool AccessibilityNumericValueInterface::isReadOnly | ( |  | ) | const
| override pure virtual

Returns true if the value is read-only and cannot be modified by an accessibility client.

See also
  setValue

Implements AccessibilityValueInterface.

## ◆ getCurrentValue()

double AccessibilityNumericValueInterface::getCurrentValue | ( |  | ) | const
| override pure virtual

Returns the current value.

Implements AccessibilityValueInterface.

## ◆ setValue()

void AccessibilityNumericValueInterface::setValue | ( | double | newValue | ) |
| override pure virtual

Sets the current value to a new value.

Implements AccessibilityValueInterface.

## ◆ getCurrentValueAsString()

String AccessibilityNumericValueInterface::getCurrentValueAsString | ( |  | ) | const
| final virtual

Returns the current value as a String.

Implements AccessibilityValueInterface.

## ◆ setValueAsString()

void AccessibilityNumericValueInterface::setValueAsString | ( | const String & | newValue | ) |
| final virtual

Sets the current value to a new String value.

Implements AccessibilityValueInterface.

## ◆ getRange()

AccessibleValueRange AccessibilityNumericValueInterface::getRange | ( |  | ) | const
| final virtual

If this is a ranged value, this should return a valid AccessibleValueRange object representing the supported numerical range.

Implements AccessibilityValueInterface.

The documentation for this class was generated from the following file:

- juce_AccessibilityValueInterface.h